org.apache.ignite.internal.processors.cache.distributed.dht

## Interface GridDhtTopologyFuture

All Superinterfaces:
  IgniteInternalFuture<AffinityTopologyVersion>

All Known Implementing Classes:
  GridDhtPartitionsExchangeFuture

    public interface GridDhtTopologyFuture
    extends IgniteInternalFuture<AffinityTopologyVersion>

Future that implements a barrier after which dht topology is safe to use. Topology is considered to be safe to use when all transactions that involve moving primary partitions are completed and partition map exchange is also completed.

When new new transaction is started, it will wait for this future before acquiring new locks on particular topology version.

### Method Summary

Methods
`AffinityTopologyVersion` `topologyVersion()` Gets topology version of this future.
`Throwable` `validateCache(GridCacheContext cctx)` Returns error is cache topology is not valid.

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, duration, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result, startTime`

### Method Detail

#### topologyVersion

    AffinityTopologyVersion topologyVersion()

Gets topology version of this future.

Returns:
  Topology version.

#### validateCache

    @Nullable
    Throwable validateCache(GridCacheContext cctx)

Returns error is cache topology is not valid.

Parameters:
  `cctx` - Cache context.
Returns:
  valid ot not.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015